#include "estim/arx.h"
using namespace bdm;

// estimation of AR(0) model
int main() {
	//prior
	mat V0 = 0.00001 * eye ( 2 );
	V0 ( 0, 0 ) = 0.1; //
	ARX Ar;
	Ar.set_statistics ( 1, V0 ); //nu is default (set to have finite moments)
	Ar.set_constant ( true );
	Ar.validate();
	// forgetting is default: 1.0
	mat Data = concat_vertical ( randn ( 1, 100 ), ones ( 1, 100 ) );
	Ar.bayes_batch ( Data );

	cout << "Expected value of Theta is: " << Ar.posterior().mean() << endl;
}
